%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")

Summary:	yara-python - Python extension that gives access to YARA from Python scripts

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		yara-python
Version:	3.6.3
Release:	1%{?dist}
URL:		https://github.com/VirusTotal/yara-python

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	yara == %{version}
BuildRequires:	yara-devel == %{version}
BuildRequires:	%{__python}
BuildRequires:	%(basename %{__python})-devel
BuildRequires:	%(basename %{__python})-setuptools
BuildRequires:	openssl-devel
Requires:	yara == %{version}
Requires:	%{__python}

%description
YARA for Python - This is a Python extension that gives access to YARA's powerful features from Python scripts. 

%prep
%setup

%build
%{__python} setup.py build --dynamic-linking

%install
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README.rst
%attr(755, root, root)	%{python_sitelib}/yara.so
%{python_sitelib}/*egg-info/*

%changelog
* Tue Jul 25 2017 Lawrence R. Rogers <lrr@cert.org> 3.6.3-1
* Release 3.6.3-1
	Rebuilt to match version in Fedora updates.

* Thu Jul 13 2017 Lawrence R. Rogers <lrr@cert.org> 3.6.2-1
* Release 3.6.2-1
	Rebuilt to match version in Fedora updates.

* Mon Jun 19 2017 Lawrence R. Rogers <lrr@cert.org> 3.6.0-1
* Release 3.6.0-1
	Rebuilt to match version in CentOS/RHEL EPEL updates.

* Wed May 24 2017 Lawrence R. Rogers <lrr@cert.org> 3.5.0-7
* Release 3.5.0-7
	Rebuilt to make version in Fedora updates.

* Mon Sep 5 2016 Lawrence R. Rogers <lrr@cert.org> 3.5.0-5
* Release 3.5.0-5
	Rebuilt to make version in Fedora updates.

* Tue Aug 16 2016 Lawrence R. Rogers <lrr@cert.org> 3.5.0-2
* Release 3.5.0-2
	Fixed shared library problem.

* Tue Aug  2 2016 Lawrence R. Rogers <lrr@cert.org> 3.5.0-1
* Release 3.5.0-1
	Version 3.5.0
		Match length operator (http://yara.readthedocs.io/en/v3.5.0/writingrules.html#match-length)
		Performance improvements
		Less memory consumption while scanning processes
		Exception handling when scanning memory blocks
		Negative integers in meta fields
		Added the --stack-size command-argument
		Functions import_ordinal, is_dll, is_32bit and is_64bit added to PE module
		Functions rich_signature.toolid and rich_signature.version added to PE module
		Lots of bug fixes

* Thu Sep 24 2015 Lawrence R. Rogers <lrr@cert.org> 3.4.0-2
* Release 3.4.0-2
	Added a build requires of openssl-devel

* Thu Jun 18 2015 Lawrence R. Rogers <lrr@cert.org> 3.4.0-1
* Release 3.4.0-1
	Short-circuit evaluation for conditions
	New yr_rules_save_stream/yr_rules_load_stream APIs.
	load() and save() methods in yara-python accept file-like objects
	Improvements to the PE and ELF modules
	Some performance improvements
	New command-line option --print-module-data
	Multiple bug fixes.

* Tue Feb 10 2015 Lawrence R. Rogers <lrr@cert.org> 3.3.0-1
* Release 3.3.0-1
	Added support for negative integers and floating point numbers
	Implemented operators >,<, >=, <= for strings
	Implemented word boundary anchors (\b, \B) in regular expressions
	New features in PE module
	Math module
	New --print-namespace command line argument
	Better error handling in low memory conditions
	BUGFIX: "at" operator not working with certain strings containing wildcards
	BUGFIX: precedence of bitwise operators was incorrect
	BUGFIX: incorrect imphash result for certain PE files importing functions by ordinal
	BUGFIX: handle and memory leaks
	BUGFIX: multiple segfaults

* Mon Mar 03 2014 Lawrence R. Rogers <lrr@cert.org> 2.010-1
* Release 2.1.0-1
	* Improve regexp engine
	* Improve multithreading support
	* Case-insensitive and single-line matching modes for "matches" operator's regexps
	* Added "error_on_warning" argument to "match" in yara-python
	* Recognize x64 PE files
	* BUGFIX: Mutex handle leak
	* BUGFIX: NULL pointer dereferences
	* BUGFIX: Buffer overflow
	* BUGFIX: Crash while using compiled rules with yara64 in Windows
	* BUGFIX: Infinite loop while scanning 64bits process in Windows
	* BUGFIX: Side-effect on "externals" argument in yara-python's "match" function
	* BUGFIX: "x of them" not working with strings containing unbounded jumps

* Thu Jan 16 2014 Lawrence R. Rogers <lrr@cert.org> 2.0.0-1
* Release 2.0.0-1
	Faster
	Better multi-thread support
	Rules can be saved in binary form

* Mon Dec 02 2013 Lawrence R. Rogers <lrr@cert.org> 1.7.2-1
* Release 1.7.2-1
        * BUGFIX: Regular expressions marked as both "wide" and "ascii" were treated as just "wide"
        * BUGFIX: Bug in "n of (<string_set>)" operator
        * BUGFIX: Bug in get_process_memory could cause infinite loop

* Fri Mar 29 2013 Lawrence R. Rogers <lrr@cert.org> 1.7-1
* Release 1.7-1
	* Version 1.7

* Fri Apr 8 2011 Lawrence R. Rogers <lrr@cert.org> 1.6-1
* Release 1.6-1
	* added support for bitwise operators
	* added support for multi-line hex strings
	* scan speed improvement for regular expressions (with PCRE)
	* yara-python ported to Python 3.x
	* yara-python support for 64-bits Python under Windows
	* BUGFIX: Buffer overflow in error printing

* Tue Mar 22 2011 Lawrence R. Rogers <lrr@cert.org> 1.5-1
* Release 1.5-1
	* added -l parameter to abort scanning after a number of matches
	* added support for scanning processes memory
	* entrypoint now works with ELF as well as PE files
	* added support for linking with the faster RE2 library (http://code.google.com/p/re2/) instead of PCRE
	* implemented index operator to access offsets where string was found (@string[i])
	* implemented new operator "for <quantifier> <variable> in <set or range> : (<expression>)"
	* BUGFIX: Memory leaks in yara-python
	* BUGFIX: yara.compile namespaces not working with filesources

* Thu May 13 2010 Lawrence R. Rogers <lrr@cert.org> 1.4-1
* Release 1.4-1
	* added external variables
	* scan speed improvements
	* added fast scan mode
	* BUGFIX: crash in 64-bits Windows

* Mon Oct 26 2009 Lawrence R. Rogers <lrr@cert.org> 1.3-1
* Release 1.3-1
	* added a C-like "include" directive
	* added support for multi-sources compilation in yara-python
	* added support for metadata declaration in rules
	* BUGFIX: Incorrect handling of single-line comments at the end of the file
	* BUGFIX: Integer underflow when scanning files of size <= 2 bytes

* Tue Apr 14 2009 Lawrence R. Rogers <lrr@cert.org> 1.2.1-1
* Release 1.2.1-1
	* libyara: added support for compiling rules directly from memory
	* libyara: interface refactored
	* libyara: is thread-safe now
	* BUGFIX: Invoking pcre_compile with non-terminated string
	* BUGFIX: Underscore (_) not recognized in string identifiers
	* BUGFIX: Memory leak
	* BUGFIX: Access violation on xxcompare functions

* Tue Jan 13 2009 Lawrence R. Rogers <lrr@cert.org> 1.2-1
* Release 1.2-1
	* added support for global rules
	* added support for declaring alternative sub-strings in hex strings
	* added support for anonymous strings
	* added support for intXX and uintXX functions
	* operator "of" was enhanced
	* implemented new operator "for..of"
	* "widechar" is now "wide" and can be used in conjuntion with "ascii"
	* improved syntax error reporting in yara-python
	* "compile" method in yara-python was enhanced
	* "matchfile" method in yara-python was substituted by "match"
	* some performance improvements	
	* BUGFIX: Wrong behavior of escaped characters in regular expressions
	* BUGFIX: Fatal error in yara-python when invoking matchfile with invalid path twice
	* BUGFIX: Wrong precedence of OR and AND operators
	* BUGFIX: Access violation when scanning MZ files with e_lfanew == -1
	* BUGFIX: Incorrect handling of hex strings in lexer

* Mon Jan 5 2009 Lawrence R. Rogers <lrr@cert.org> 1.1-1
* Release 1.1-1
	* added support for strings containing null (\x00) chars
	* added syntactic construct "x of them" 	
	* regular expressions syntax changed
	* now regular expressions can begin with any character

* Wed Sep 24 2008 Lawrence R. Rogers <lrr@cert.org> 1.0-1
* Release 1.0-1
	* first release
	

